Multivariate Pattern Analysis in Python

# mvpa2.testing.tools

A Collection of tools found useful in unittests.

Primarily the ones from nose.tools

Functions

`assert_array_lequal`(x, y) |
`assert_collections_equal`(x, y[, ignore]) |

`assert_datasets_almost_equal`(x, y[, …])

Parameters: |

`assert_datasets_equal`(x, y[, ignore_a, …])

Parameters: |

`assert_dict_keys_equal`(x, y) |
`assert_objectarray_equal`(x, y[, xorig, …]) | Wrapper around assert_array_equal to compare object arrays
`assert_reprstr_equal`(x, y) | Whenever comparison fails otherwise, we might revert to compare those
`assert_warnings`(*args, **kwds) |
`labile`([niter, nfailures]) | Decorator for labile tests – runs multiple times
`nodebug`([entries]) | Decorator to temporarily turn off some debug targets
`reseed_rng`() | Decorator to assure the use of MVPA_SEED while running the test
`skip_if_no_external`(dep[, ver_dep, …]) | Raise SkipTest if external is missing
`with_tempfile`(*targs, **tkwargs) | Decorator function to provide a temporary file name and remove it at the end.